Sync groovy 1.7.10-2 (main) from debian unstable (main)

Bug #777103 reported by James Page on 2011-05-04
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
groovy (Ubuntu)
Medium
James Page

Bug Description

Binary package hint: groovy

groovy (1.7.10-2) unstable; urgency=low

   * Add ant-nodeps jar as dep in debian/rules due to changes in Ant 1.8.1.
   * Bump Standards-Version to 3.9.2. No changes were required.
 -- Miguel Landaeta <email address hidden> Wed, 04 May 2011 10:15:07 -0430

groovy (1.7.10-1) unstable; urgency=low

  * New upstream release.
  * Use the location of java command instead of javac one to determine
    JAVA_HOME. (Closes: #619844).
  * Replace optional dependency of java5-runtime-headless with
    sun-java6-jre since is not true that groovy will work with any Java 5
    runtime available in Debian.

 -- Miguel Landaeta <email address hidden> Wed, 23 Mar 2011 19:50:48 -0430

groovy (1.7.9-1) unstable; urgency=low

  * New upstream upload.
  * Add optional Depends on java5-runtime-headless for
    groovy. (Closes: #617772).

 -- Miguel Landaeta <email address hidden> Fri, 11 Mar 2011 08:38:53 -0430

groovy (1.7.8-1) unstable; urgency=low

  * New upstream release.

 -- Miguel Landaeta <email address hidden> Thu, 17 Feb 2011 08:29:10 -0430

groovy (1.7.7-1) unstable; urgency=low

  * New upstream release.
  * Update dates in debian/copyright file.
  * Add call to mh_clean in clean target.

 -- Miguel Landaeta <email address hidden> Sun, 06 Feb 2011 19:56:53 -0430

groovy (1.7.6-1) UNRELEASED; urgency=low

  * New upstream release.
  * Fix section of grape manpage.

 -- Miguel Landaeta <email address hidden> Thu, 16 Dec 2010 19:22:04 -0430

groovy (1.7.5-1) UNRELEASED; urgency=low

  * New upstream release.
  * Revert Depends on default-jdk. Set correct JAVA_HOME in startGroovy script.
  * Update dates in debian/copyright file.

 -- Miguel Landaeta <email address hidden> Thu, 11 Nov 2010 19:52:27 -0430

James Page (james-page) on 2011-05-04
Changed in groovy (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
assignee: nobody → James Page (james-page)
James Page (james-page) wrote :

Holding off on this merge until I understand in more detail why we need to maintain the delta; unstable now has the same version of ant as Ubuntu so should be seeing the same issue but it not at this point in time.

James Page (james-page) wrote :

OK - so ant 1.8.1 which drives the demand for the Ubuntu delta only hit debian unstable on the 01/05/2011 which is after the last update to groovy 1.7.10.

James Page (james-page) wrote :

As this is one of a number of packages that breaks with ant 1.8.1 (and the issue should be resolved with 1.8.2) I'll look at an ant upgrade first then this bug can revert to a re-sync with debian.

Changed in groovy (Ubuntu):
status: In Progress → Confirmed
summary: - Merge groovy (1.7.10-1) from debian unstable
+ [BLOCKED] Sync groovy (1.7.10-1) from debian unstable
Changed in groovy (Ubuntu):
status: Confirmed → In Progress
James Page (james-page) on 2011-05-05
summary: - [BLOCKED] Sync groovy (1.7.10-1) from debian unstable
+ [BLOCKED] Sync groovy (1.7.10-2) from debian unstable
description: updated
James Page (james-page) wrote :

ant 1.8.2-1 now synced; Miguel also fixed this issue in 1.7.10-2 so OK to sync now.

description: updated
summary: - [BLOCKED] Sync groovy (1.7.10-2) from debian unstable
+ [BLOCKED] Sync groovy 1.7.10-2 (main) from debian unstable (main)
summary: - [BLOCKED] Sync groovy 1.7.10-2 (main) from debian unstable (main)
+ Sync groovy 1.7.10-2 (main) from debian unstable (main)
Changed in groovy (Ubuntu):
status: In Progress → New

ACKed.

Changed in groovy (Ubuntu):
status: New → Triaged
Colin Watson (cjwatson) wrote :

2011-05-10 09:36:57 INFO - <groovy_1.7.10.orig.tar.gz: downloading from http://ftp.debian.org/debian/>
[Updating] groovy (1.7.4-1ubuntu1 [Ubuntu] < 1.7.10-2 [Debian])
 * Trying to add groovy...
2011-05-10 09:36:58 INFO - <groovy_1.7.10-2.dsc: downloading from http://ftp.debian.org/debian/>
2011-05-10 09:36:58 INFO - <groovy_1.7.10-2.debian.tar.gz: downloading from http://ftp.debian.org/debian/>
I: groovy [main] -> groovy_1.7.4-1ubuntu1 [main].
I: groovy [main] -> groovy-doc_1.7.4-1ubuntu1 [main].

Changed in groovy (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers